Assigns, changes or removes the Executor of an unfinished Queue Task as its Queue Dispatcher or Task administrator; running work stops and a pause or postponement ends first, while a block stays.
using System.Net.Http.Headers;var client = new HttpClient();var request = new HttpRequestMessage{ Method = HttpMethod.Post, RequestUri = new Uri("https://example.com/api/workspace/tasks/runtime/tasks/example/dispatch"), Headers = { { "Authorization", "Bearer <token>" }, }, Content = new StringContent("{ \"OperationId\": \"example\", \"RowVersion\": \"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0\", \"WorkerId\": \"example\", \"ClearAssignment\": true, \"CapacityOverride\": true, \"Reason\": \"example\" }") { Headers = { ContentType = new MediaTypeHeaderValue("application/json") } }};using (var response = await client.SendAsync(request)){ response.EnsureSuccessStatusCode(); var body = await response.Content.ReadAsStringAsync(); Console.WriteLine(body);}const url = 'https://example.com/api/workspace/tasks/runtime/tasks/example/dispatch';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"OperationId":"example","RowVersion":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0","WorkerId":"example","ClearAssignment":true,"CapacityOverride":true,"Reason":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/workspace/tasks/runtime/tasks/example/dispatch \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "OperationId": "example", "RowVersion": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "WorkerId": "example", "ClearAssignment": true, "CapacityOverride": true, "Reason": "example" }'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Query Parameters
Section titled “Query Parameters”Optional access token for clients that cannot set Authorization headers. Prefer Authorization: Bearer <token> when possible.
Request Body
Section titled “Request Body”object
Required whenever an assigned Executor is changed or removed, and with a capacity exception.
Examplegenerated
{ "OperationId": "example", "RowVersion": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "WorkerId": "example", "ClearAssignment": true, "CapacityOverride": true, "Reason": "example"}object
Required whenever an assigned Executor is changed or removed, and with a capacity exception.
Examplegenerated
{ "OperationId": "example", "RowVersion": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "WorkerId": "example", "ClearAssignment": true, "CapacityOverride": true, "Reason": "example"}object
Required whenever an assigned Executor is changed or removed, and with a capacity exception.
Examplegenerated
{ "OperationId": "example", "RowVersion": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "WorkerId": "example", "ClearAssignment": true, "CapacityOverride": true, "Reason": "example"}Responses
Section titled “Responses”OK
object
object
Authorized task projection; Moltaro.Tasks.Runtime.TaskRuntimeTask.Context carries the canonical business Context identity when the task is linked.
object
Stable identity of one Moltaro resource instance.
object
When a Postponed Task returns to Idle; null in every other state.
object
object
object
object
Example
{ "Data": { "Result": { "State": 0, "Mode": 0 } }, "Errors": [ { "Type": 0, "Severity": 0 } ], "Warnings": [ { "Type": 0, "Severity": 0 } ]}Bad Request
object
object
Authorized task projection; Moltaro.Tasks.Runtime.TaskRuntimeTask.Context carries the canonical business Context identity when the task is linked.
object
Stable identity of one Moltaro resource instance.
object
When a Postponed Task returns to Idle; null in every other state.
object
object
object
object
Example
{ "Data": { "Result": { "State": 0, "Mode": 0 } }, "Errors": [ { "Type": 0, "Severity": 0 } ], "Warnings": [ { "Type": 0, "Severity": 0 } ]}Forbidden
object
object
Authorized task projection; Moltaro.Tasks.Runtime.TaskRuntimeTask.Context carries the canonical business Context identity when the task is linked.
object
Stable identity of one Moltaro resource instance.
object
When a Postponed Task returns to Idle; null in every other state.
object
object
object
object
Example
{ "Data": { "Result": { "State": 0, "Mode": 0 } }, "Errors": [ { "Type": 0, "Severity": 0 } ], "Warnings": [ { "Type": 0, "Severity": 0 } ]}Not Found
object
object
Authorized task projection; Moltaro.Tasks.Runtime.TaskRuntimeTask.Context carries the canonical business Context identity when the task is linked.
object
Stable identity of one Moltaro resource instance.
object
When a Postponed Task returns to Idle; null in every other state.
object
object
object
object
Example
{ "Data": { "Result": { "State": 0, "Mode": 0 } }, "Errors": [ { "Type": 0, "Severity": 0 } ], "Warnings": [ { "Type": 0, "Severity": 0 } ]}Conflict
object
object
Authorized task projection; Moltaro.Tasks.Runtime.TaskRuntimeTask.Context carries the canonical business Context identity when the task is linked.
object
Stable identity of one Moltaro resource instance.
object
When a Postponed Task returns to Idle; null in every other state.
object
object
object
object
Example
{ "Data": { "Result": { "State": 0, "Mode": 0 } }, "Errors": [ { "Type": 0, "Severity": 0 } ], "Warnings": [ { "Type": 0, "Severity": 0 } ]}